
html, body, form {
    width: 100%;
    height: 100%;
    max-width: 100%;
    max-height: 100%;
    min-width: 100%;
    min-height: 100%;
    background-color: white;
    Color: Black;
    font-style: normal;
    font-weight: normal;
    margin: 0px;
    padding: 0px;
    border: 0px solid white;
    border-radius: 0px;
    font-size: 1rem;
}

#DivLogin {
    background-image: url('../Images/imgLogin.png');
}


#DivLogin {
    width: 100%;
    height: 100%;
    max-width: 100%;
    max-height: 100%;
    min-width: 100%;
    min-height: 100%;
    text-align: right !important;
    background-position: right top;
    background-position-x: calc(100%);
    background-repeat: no-repeat;
    background-size: auto 90%;
    margin: 0px 0px 0px 0px;
}

#Login {
    width: 50%;
    height: 100%;
}

#DivLogin h1, #DivLogin h2, #DivLogin h3, #DivLogin h4, #DivLogin h5, #DivLogin h6 {
    color: #3a3a5b;
}

#DivLogin p {
    color: #007DC5;
}

#DivLogin label {
    margin: 0px;
    padding: 2px;
    background-color: transparent;
    color: #3a3a5b;
    font-weight: 600;
}

#DivLogin input[type="text"], #DivLogin input[type="password"] {
    width: 100%;
    min-width: 50px;
    max-width: 350px;
    height: 35px;
    min-height: 25px;
    max-height: 45px;
    margin: 10px 0px 10px 0px;
    padding: 2px;
    background-color: transparent;
    color: #000000;
    border-radius: 0px;
    border-bottom: 1px solid black;
    border-top: 0px none transparent;
    border-left: 0px none transparent;
    border-right: 0px none transparent;
    text-align: center;
}

#txtPassword {
    width: calc(100% - 1.25em) !important;
    min-width: 50px !important;
    max-width: calc(350px - 1.25em) !important;
}

#DivLogin input[type="button"], #DivLogin button {
    width: 90%;
    max-width: 250px;
    min-width: 50px;
    height: 50px;
    max-height: 55px;
    min-height: 45px;
    padding: 2px;
    margin: 0px;
    border: 0px none transparent;
    color: #ffffff;
    background-color: #3a3a5bff;
    border-radius: 5px;
}

    #DivLogin input[type="button"]:hover, #DivLogin input[type="button"]:visited,
    #DivLogin input[type="button"]:focus,
    #DivLogin button:hover, #DivLogin button:visited,
    #DivLogin button:focus {
        color: #ffffff;
        background-color: #3a3a5b90;
        border: 0px none transparent;
        border-radius: 5px;
        outline: none !important;
    }

.ImgLogin {
    width: 100%;
    max-width: 300px;
    height: auto;
    margin: 5px 10px;
    border: 0px solid transparent;
}

@media (max-width: 769px) {

    #Login {
        width: 100%;
        height: 100%;
    }

    #DivLogin {
        text-align: center !important;
        background-position: right top;
        background-position-x: calc(100% - 20px);
        background-repeat: no-repeat;
        background-size: 30% auto;
    }

    .ImgLogin {
        width: 100%;
        max-width: 200px;
        height: auto;
        margin: 2px 5px;
        border: 0px solid transparent;
    }

    #txtPassword {
        width: calc(100%) !important;
        min-width: 50px;
        max-width: calc(350px) !important;
    }
}

#DivLogin input[type="text"]:-internal-autofill-selected, #DivLogin input[type="password"]:-internal-autofill-selected {
    width: 100%;
    min-width: 50px;
    max-width: 350px;
    height: 35px;
    min-height: 25px;
    max-height: 45px;
    margin: 10px 0px 10px 0px;
    padding: 2px;
    background-color: transparent;
    color: #000000;
    border-radius: 0px;
    border-bottom: 1px solid black;
    border-top: 0px none transparent;
    border-left: 0px none transparent;
    border-right: 0px none transparent;
    text-align: center;
}

#DivLogin input[type="text"]::placeholder, #DivLogin input[type="password"]::placeholder {
    text-align: center;
    vertical-align: middle;
    background-color: transparent;
    color: #4b4b4b;
}

#DivLogin input[type="text"]:focus, #DivLogin input[type="password"]:focus {
    outline: none !important;
    border-radius: 0px;
    border-bottom: 1px solid #3a3a5b;
    border-top: 0px none transparent;
    border-left: 0px none transparent;
    border-right: 0px none transparent;
}

.btnSwitch {
    width: 120px;
    height: 35px;
    background-color: #3a3a5b;
    color: #ffffff;
    font-size: 0.7rem !important;
    font-weight: bold;
    margin: 10px 0px !important;
    padding: 0px 10px;
    cursor: pointer;
    border: 0px solid transparent;
    border-radius: 5px;
    vertical-align: middle;
    text-align: left;
}

.btnSwitch img {
    width: 20px;
    height: 20px;
    background-color: transparent;
    color: transparent;
    margin: 7px 10px 0px 0px !important;
    padding: 0px 0px 0px 0px;
    border: 0px solid transparent;
    border-radius: 0px;
    cursor: pointer;
}

.btnSwitch label {
    font-family: 'OnSoft', sans-serif;
    background-color: transparent;
    color: #ffffff;
    font-size: 0.7rem !important;
    font-weight: bold;
    margin: 0px;
    padding: 0px;
    border: 0px solid transparent;
    border-radius: 0px;
    position: relative;
    top: 0.2rem;
    left: 0px;
    cursor: pointer;
}

#BtnPersonas {
    background-color: #5479d3 !important;
    color: white !important;
}

.btnPersonas {
    position: absolute;
    top: 20px;
    right: calc(50px + 100px + 35px);
}

#BtnEmpresas {
    background-color: #4c4c4c !important;
    color: black !important;
    cursor: not-allowed !important;
}

    #BtnEmpresas img {
        cursor: not-allowed !important;
    }

    #BtnEmpresas label {
        cursor: not-allowed !important;
    }

.btnEmpresas {
    position: absolute;
    top: 20px;
    right: calc(50px);
    cursor: not-allowed !important;
}

@media (max-width: 768px) {
    .btnSwitch {
        width: 35px !important;
        height: 35px !important;
        vertical-align: middle !important;
        text-align: center !important;
        font-size: 1rem !important;
        padding: 0px !important;
        border-radius: 5px !important;
    }

        .btnSwitch img {
            margin: 7.5px 7.5px 7.5px 7.5px !important;
        }

        .btnSwitch label {
            display: none !important;
        }

    .btnPersonas {
        top: auto;
        bottom: 50px;
        left: calc(50% - 35px - 35px);
    }

    .btnEmpresas {
        top: auto;
        bottom: 50px;
        left: calc(50% + 35px);
    }
}